## org.Biocorba.Seqcore
Interface _PrimarySeq_Operations

All Known Subinterfaces:
  _Seq_Operations

All Known Implementing Classes:
  PrimarySeqImpl

public interface _PrimarySeq_Operations
extends _AnonymousSeq_Operations

Method Summary
`java.lang.String` `accession_number(org.omg.CORBA.portable.ObjectImpl primarySeq)`
`java.lang.String` `display_id(org.omg.CORBA.portable.ObjectImpl primarySeq)`
`java.lang.String` `primary_id(org.omg.CORBA.portable.ObjectImpl primarySeq)`
`int` `version(org.omg.CORBA.portable.ObjectImpl primarySeq)`

Methods inherited from interface org.Biocorba.Seqcore._AnonymousSeq_Operations
`get_seq, get_subseq, length, max_request_length, type`

Methods inherited from interface GNOME._Unknown_Operations
`query_interface, ref, unref`

Method Detail

### display_id

    public java.lang.String display_id(org.omg.CORBA.portable.ObjectImpl primarySeq)

### primary_id

    public java.lang.String primary_id(org.omg.CORBA.portable.ObjectImpl primarySeq)

### accession_number

    public java.lang.String accession_number(org.omg.CORBA.portable.ObjectImpl primarySeq)

### version

    public int version(org.omg.CORBA.portable.ObjectImpl primarySeq)